Skip to main content
`Ctrl`+`K`

# PCGetReusePreconditioner

Determines if the `PC` reuses the current preconditioner even if the operator in the preconditioner has changed.

## Synopsis

    #include "petscksp.h"
    PetscErrorCode PCGetReusePreconditioner(PC pc, PetscBool *flag)

Not Collective

## Input Parameter

- pc - the `PC` preconditioner context

## Output Parameter

- flag - `PETSC_TRUE` do not compute a new preconditioner, `PETSC_FALSE` do compute a new preconditioner

## See Also

KSP: Linear System Solvers, `PC`, `PCGetOperators()`, `MatZeroEntries()`, `PCSetReusePreconditioner()`

## Level

intermediate

## Location

src/ksp/pc/interface/precon.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages